- Qt 5.0
- QFeedbackInterface
- Qt 5.0.0 Reference Documentation

# QFeedbackInterface Class

The QFeedbackInterface class is the base class for plugins providing feedback. More...

Header: | #include <QFeedbackInterface>
Inherited By: | QFeedbackHapticsInterface and QFeedbackThemeInterface

- List of all members, including inherited members

## Public Types

enum | PluginPriority { PluginLowPriority, PluginNormalPriority, PluginHighPriority }

## Static Protected Members

void | reportError(const QFeedbackEffect *effect, QFeedbackEffect::ErrorType error)

## Detailed Description

This interface gives the possibility to report errors from within a backend plugin.

## Member Type Documentation

### enum QFeedbackInterface::PluginPriority

This enum describes the priority that the plugin should have in case more than one of the same type (Haptics or Theme) is found. If more than one plugin has the same priority, the first one that has been loaded will be used. However, multiple file effect plugins can be loaded at the same time.

Constant | Value | Description
--- | --- | ---
`QFeedbackInterface::PluginLowPriority` | `0` | The plugin will have a low priority. This is usually the case for platform specific-APIs.
`QFeedbackInterface::PluginNormalPriority` | `1` | The plugin will have a normal priority. This is usually the case for advanced technologies.
`QFeedbackInterface::PluginHighPriority` | `2` | The plugin will have higher priority. Use this priority if you want your own plugin to be used.

## Member Function Documentation

### `[static protected]` void QFeedbackInterface::reportError(const QFeedbackEffect *effect, QFeedbackEffect::ErrorType error)

Allows a plugin to report the specified error whenever necessary. Errors most likely can happen trying to play or pause an effect, which should be supplied as the parameter effect.